/// <reference types="zen-observable" />
import { HttpClient } from '@angular/common/http';
import { ApolloLink, Observable as LinkObservable, Operation, RequestHandler } from 'apollo-link';
import { ExecutionResult } from 'graphql';
import { Options } from './types';
export declare class HttpLinkHandler extends ApolloLink {
    private httpClient;
    private options;
    requester: RequestHandler;
    constructor(httpClient: HttpClient, options: Options);
    request(op: Operation): LinkObservable<ExecutionResult> | null;
    private fetch(req);
}
export declare class HttpLink {
    private httpClient;
    constructor(httpClient: HttpClient);
    create(options: Options): HttpLinkHandler;
}
