import { HttpHeaders } from '@angular/common/http';
export declare type HttpRequestOptions = {
    headers?: HttpHeaders;
    withCredentials?: boolean;
};
export declare type FetchOptions = {
    method?: string;
    uri?: string;
    includeExtensions?: boolean;
    includeQuery?: boolean;
};
export declare type Options = {} & FetchOptions & HttpRequestOptions;
export declare type RequestOperation = {
    query?: string;
    variables?: Record<string, any>;
    operationName?: string;
    extensions?: Record<string, any>;
};
export declare type Context = {} & FetchOptions & HttpRequestOptions;
export declare type Request = {
    method: string;
    url: string;
    body: RequestOperation | FormData;
    options: HttpRequestOptions;
};
